# [Onion Uptime Checker from Nowhere](http://uptime.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/)

Minimalistic Onion Hidden Service uptime checker, written in only PHP and Python, because javascript is NOT needed.

## Setup
0) git clone the repository in there
```sh
torsocks git clone http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/onion-uptime /srv/onion-uptime
```
1) Install nginx and php8.2-fpm and tor
2) use the nginx.conf and drop it in /etc/nginx/sites-available/
3) use acme.sh to get the TLS certificates if you want clearnet presence
4) use mkp244o if you want to have a hidden service
5) use the torrc config if you want the tor to have a socks5 port
6) enable the nginx config and validate that it can be accessed on either clearnet / onion
7) edit the csv values of the websites you want to edit in the links folder if you wan to monitor other websites
8) make sure the cronjob for scripts/uptimechecker.py is running at least once every 3 hours so that the csv files are kept up to date.
```sh
crontab -e

*/3 0 * * * python3 /srv/onion-uptime/scripts/uptimechecker.py 
```
